Bug 20406 - X server dies when closing Java3D window on GeForce2 card
X server dies when closing Java3D window on GeForce2 card
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-06 01:24 EST by David Jung
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 12:53:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jung 2000-11-06 01:24:19 EST
The X server crashes when the window close button is pressed for any java
application displaying a Java3D scene (Java3D
uses OpenGL via JVM->JNI).

1) Install clean RH7.0 (CompUSA retail CD)
    - Have a PIII, 256MB, GeForce2 64 DDR (Herc. 3D profit)
    - selected "GeForce2 (generic)"
2) Run RH update agent (11/6/00 - don't think any XFree86 4.0 or
OpenGL/Mesa stuff is updated though)
3) Install Sun's j2sdk1_3_0 rpm
4) Install Blackdown java3D linux port (FCS-1-0-2)
5) from the jdk1.3/demo/java3d/HelloUniverse dir do "java HelloUniverse"
   (or any Java3D app)
6) Program runs fine and displays 3D stuff
7) Hit the close button - X dumps.
    - actually restarts (I get back the login dialog) - assuming core dump
    - using Gnome and sawmill
    - only other s/w installed after RH7 install was MozillaM18
      and Forte4j CE

(Don't know if/how-to-find log info that could be useful - please advice)
Comment 1 David Jung 2000-11-14 13:46:25 EST
After installing the Detinator3 driver RPMs distributed by NVidia (which are 
for XFree 4.0.x, but pre-date the RH7 release), the problem only occurs under 
rare circumstances.
(These replace various OpenGL libraries and install a kernel driver)
Comment 2 Mike A. Harris 2001-03-06 12:53:05 EST
I'd need a backtrace of a coredump in order to proceed at all with this.
Comment 3 Mike A. Harris 2001-03-17 14:30:37 EST
I wont touch proprietary drivers. The JDK's are not bug free, and we do not
ship them.  Nvidia's cards do not work well with the open source driver, and
there is nothing that can realistically be done about that unless they
(nvidia) open up their specs.  We do not / will not support any companies
closed source proprietary drivers.  Sorry.

Note You need to log in before you can comment on or make changes to this bug.